Subject: [netmod] Roman Danyliw's No Objection on draft-ietf-netmod-artwork-folding-09: (with COMMENT)

From: Roman Danyliw via Datatracker <[email-masked]>
Date: Wed, 04 Sep 2019 10:56:49 -0700

Roman Danyliw has entered the following ballot position for
draft-ietf-netmod-artwork-folding-09: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-netmod-artwork-folding/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

(1) Section 1.  To make this document more enduring, I’d recommend qualifying
the capabilities of xml2rfc  (i.e., no line wrapping is done) to a version
number.

(2) Section 2. Is it worth saying that in addition to the primary target being
<sourcecode> and <artwork> (xml2rfc tags), it is also anything authors
currently put between “<CODE BEGINS> … <CODE ENDS>” (sometimes even when not
using xml tooling for rendering the draft)?

(3) Editorial nits:
-- Section 2.  Editorial. s/This work may be also be used/This work may also be
used/.

-- Section 4.2. Editorial.  s/already YANG [RFC7950] modules are extracted/YANG
[RFC7950] modules are already extracted/.

---

From: Kent Watsen <[email-masked]>
Date: Wed, 4 Sep 2019 18:55:07 +0000

Hi Roman,

Thanks for your review.  I'll prepare an update accounting for your (and Adam's) comments shortly. 

First, I have a couple questions:

> (1) Section 1.  To make this document more enduring, Ib

Do you mean, e.g., s/ The `xml2rfc` utility / The `xml2rfc` utility, at least up until the time of this document's publication, / ???

[BTW, I just noticed that `xml2rfc` needs a reference...I'll point it to https://pypi.org/project/xml2rfc <https://pypi.org/project/xml2rfc>]

> currently put between b

I think that the word "primarily" already provides the flexibility to use it in other contexts.  That said, I don't know what other `xml2rfc` context exists currently, or do you a future version of the `xml2rfc` specification or, perhaps, a `foo2rfc` specification?  In either case, could you provide a snippet of what you'd like to see?

Thanks again,
Kent